# Uses of Interface
org.xml.sax.DocumentHandler

Packages that use DocumentHandler
Package
Description
org.xml.sax
Provides the interfaces for the Simple API for XML (SAX).
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

- ## Uses of DocumentHandler in org.xml.sax

  Classes in org.xml.sax that implement DocumentHandler
  Modifier and Type
  Class
  Description
  `class`
  `HandlerBase`
  Deprecated.
  This class works with the deprecated `DocumentHandler` interface.
  Methods in org.xml.sax with parameters of type DocumentHandler
  Modifier and Type
  Method
  Description
  `void`
  Parser.`setDocumentHandler(DocumentHandler handler)`
  Deprecated.
  Allow an application to register a document event handler.

- ## Uses of DocumentHandler in org.xml.sax.helpers

  Classes in org.xml.sax.helpers that implement DocumentHandler
  Modifier and Type
  Class
  Description
  `class`
  `ParserAdapter`
  Adapt a SAX1 Parser as a SAX2 XMLReader.
  Methods in org.xml.sax.helpers with parameters of type DocumentHandler
  Modifier and Type
  Method
  Description
  `void`
  XMLReaderAdapter.`setDocumentHandler(DocumentHandler handler)`
  Register the SAX1 document event handler.